config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/davfs2/davfs2.conf.new
config etc/davfs2/secrets.new
( cd usr/sbin ; rm -rf mount.davfs )
( cd usr/sbin ; ln -sf ../../sbin/mount.davfs mount.davfs )
( cd usr/sbin ; rm -rf umount.davfs )
( cd usr/sbin ; ln -sf ../../sbin/umount.davfs umount.davfs )
